Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2141843002: Copy array buffer data used by WebCrypto in the order expected by draft specification. (Closed)

Created:
3 years, 4 months ago by eroman
Modified:
3 years, 3 months ago
CC:
blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Copy array buffer data used by WebCrypto in the order expected by draft specification. * Most data buffers to crypto.subtle.* are copied prior to algorithm normalization. * Data buffers that are part of algorithm dictionaries are copied and read in the declaration order of the properties. BUG=626948 Committed: https://crrev.com/923aa7b0442d331e07b1853acd4f40d3a99a35ce Cr-Commit-Position: refs/heads/master@{#406170}

Patch Set 1 #

Patch Set 2 : wrap some comments #

Total comments: 2

Patch Set 3 : instead of throwing error, treat neutered buffers same as zero-length #

Patch Set 4 : Remove unnecessary refactors #

Total comments: 4

Patch Set 5 : Change FIXME --> TODO(eroman) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+474 lines, -84 lines) Patch
A third_party/WebKit/LayoutTests/crypto/subtle/encrypt-neutered-data.html View 1 2 1 chunk +51 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/crypto/subtle/encrypt-neutered-data-expected.txt View 1 2 1 chunk +21 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/crypto/subtle/modify-encrypt-data-during-normalization.html View 1 2 1 chunk +70 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/crypto/subtle/modify-encrypt-data-during-normalization-expected.txt View 1 2 1 chunk +21 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/crypto/subtle/neuter-algorithm-data-during-encrypt.html View 1 2 1 chunk +68 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/crypto/subtle/neuter-algorithm-data-during-encrypt-expected.txt View 1 2 1 chunk +19 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/crypto/subtle/neuter-encrypt-data-during-normalization.html View 1 2 1 chunk +68 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/crypto/subtle/neuter-encrypt-data-during-normalization-expected.txt View 1 2 1 chunk +21 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/crypto/NormalizeAlgorithm.cpp View 1 2 3 4 15 chunks +47 lines, -46 lines 0 comments Download
M third_party/WebKit/Source/modules/crypto/SubtleCrypto.h View 2 chunks +6 lines, -7 lines 0 comments Download
M third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp View 1 2 3 4 13 chunks +82 lines, -31 lines 0 comments Download

Messages

Total messages: 21 (7 generated)
eroman
@jochen could you suggest a reviewer for this? Thanks! (I would normally try jww@, but ...
3 years, 4 months ago (2016-07-12 01:44:45 UTC) #2
jochen (gone - plz use gerrit)
haraken@ for the actual code changes foolip@ for what exception to throw
3 years, 4 months ago (2016-07-12 15:13:13 UTC) #4
haraken
On 2016/07/12 15:13:13, jochen wrote: > haraken@ for the actual code changes > foolip@ for ...
3 years, 4 months ago (2016-07-13 01:18:17 UTC) #5
foolip
https://codereview.chromium.org/2141843002/diff/20001/third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp File third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp (right): https://codereview.chromium.org/2141843002/diff/20001/third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp#newcode155 third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp:155: // The spec doesn't specifically say what error to ...
3 years, 4 months ago (2016-07-13 14:27:39 UTC) #6
foolip
https://codereview.chromium.org/2141843002/diff/20001/third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp File third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp (right): https://codereview.chromium.org/2141843002/diff/20001/third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp#newcode155 third_party/WebKit/Source/modules/crypto/SubtleCrypto.cpp:155: // The spec doesn't specifically say what error to ...
3 years, 4 months ago (2016-07-13 14:28:19 UTC) #7
eroman
Thanks Philip! Note, the current WebCrypto spec is actually this URL: https://w3c.github.io/webcrypto/Overview.html It refers to ...
3 years, 4 months ago (2016-07-13 17:51:56 UTC) #8
eroman
PTAL, I have updated the change to longer throw an exception.
3 years, 4 months ago (2016-07-14 01:36:03 UTC) #10
eroman
ping
3 years, 3 months ago (2016-07-18 18:54:06 UTC) #11
haraken
Actual code change still LGTM https://codereview.chromium.org/2141843002/diff/60001/third_party/WebKit/Source/modules/crypto/NormalizeAlgorithm.cpp File third_party/WebKit/Source/modules/crypto/NormalizeAlgorithm.cpp (right): https://codereview.chromium.org/2141843002/diff/60001/third_party/WebKit/Source/modules/crypto/NormalizeAlgorithm.cpp#newcode49 third_party/WebKit/Source/modules/crypto/NormalizeAlgorithm.cpp:49: // FIXME: Change the ...
3 years, 3 months ago (2016-07-18 22:41:57 UTC) #12
eroman
Thanks, I will go ahead and land. @foolip: If I have failed to address your ...
3 years, 3 months ago (2016-07-18 23:15:25 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2141843002/80001
3 years, 3 months ago (2016-07-18 23:19:56 UTC) #16
commit-bot: I haz the power
Committed patchset #5 (id:80001)
3 years, 3 months ago (2016-07-19 01:51:06 UTC) #18
commit-bot: I haz the power
CQ bit was unchecked.
3 years, 3 months ago (2016-07-19 01:51:15 UTC) #19
commit-bot: I haz the power
3 years, 3 months ago (2016-07-19 01:52:52 UTC) #21
Message was sent while issue was closed.
Patchset 5 (id:??) landed as
https://crrev.com/923aa7b0442d331e07b1853acd4f40d3a99a35ce
Cr-Commit-Position: refs/heads/master@{#406170}

Powered by Google App Engine
This is Rietveld 408576698